Update a counterparty

Description

This endpoint allows to update an outgoing counterparty (associated to a third party / user).

Prerequisite

  • To access this endpoint, authentication is required.
  • Credentials are to be provided in the request headers as part of the authentication process.
  • Optional fields, if provided, must not be empty strings.

Strong Customer Authentication

To update a Counterparty, the SCA endpoint must be used, except in exceptional cases validated by the integration teams :

PATCH /api/sca/v3.0/users/USERID/counterparty/{counterpartyId}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Counterparty identifier generated by Xpollens.

Body Params

Patch Counterparty Request

Request body for PATCH Counterparty.

string | null
^[A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+(['’ -]*[A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+)*$

Counterparty display name (e.g.: Dad - BRED).

person
object

Counterparty individual details. Cannot be provided if counterpartyType is LegalEntity.

legalEntity
object

Counterparty business details. Cannot be provided if counterpartyType is Person.

address
object

Counterparty postal address.

contact
object

Counterparty contact details.

scopes
array of strings, unique
length ≥ 1
Headers
uuid

Correlation identifier used for request tracing.

Responses

500

Internal Server Error

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json